JPEGHOTP(1)

NAME
jpeghotp - find hot or dead pixels in otherwise black or white JPEG images

SYNOPSIS
jpeghotp [OPTION]... JPEG-FILE [PIXEL-BLOCKS-FILE]

DESCRIPTION
Jpeghotp automatically finds hot pixels in an otherwise black JPEG image (default) or dead pixels in an otherwise white JPEG image (if the --invert option is specified). The output is suitable as a pixel block specification file for the jpegpixi(1) program. A typical application is to process an image taken with a digital camera with CCD defects.

To obtain a black image, take a picture in total darkness or with covered lens. To obtain a while image, take an overexposed picture of a well-lit piece of white paper.

JPEG-FILE is the filename of the JPEG image to read. It can be -, which refers to standard input.

PIXEL-BLOCKS-FILE is the name of the file to write the coordinates and sizes of the hot (or dead) pixel blocks to. If it is omitted, the coordinates and sizes are written to standard output.

OPTIONS

-t THRESHOLD, --threshold=THRESHOLD
    Specify the threshold between noise and signal. Pixel luminosities below the threshold are considered CCD noise, luminosities above are considered hot pixels. THRESHOLD must be a number between 0 and 100 followed by a percent character (%). The default is 10%.

-i, --invert
    Invert the image. If this option is specified, dead pixels in an otherwise white image instead of hot pixels in an otherwise black image are found.

-c, --comments
    Output comments with the luminosities of the hot (or dead) pixel blocks. This can be helpful in hand tuning the pixel blocks file.

--help
    Display a short help text and exit immediately.

--version
    Display version information and exit immediately.

BUGS
Please report bugs to <martin-jpegpixi@zero-based.org>.

COPYRIGHT
Copyright © 2003, 2004, 2005 Martin Dickopp

Jpeghotp is free software; it may be copied and/or modified under the terms of the GNU General Public License version 2 or (at your option) any later version. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
jpegpixi(1)

The jpegpixi homepage: http://www.zero-based.org/software/jpegpixi/